org.scalatest.FreeSpec

# FreeSpecStringWrapper

#### class FreeSpecStringWrapper extends AnyRef

A class that via an implicit conversion (named `convertToFreeSpecStringWrapper`) enables methods `in`, `is`, `taggedAs` and `ignore`, as well as the dash operator (`-`), to be invoked on `String`s.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. FreeSpecStringWrapper
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FreeSpecStringWrapper (string: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def - (fun: ⇒ Unit): Unit

   Register some text that may surround one or more tests.

   Register some text that may surround one or more tests. The passed passed function value may contain surrounding text registrations (defined with dash (`-`)) and/or tests (defined with `in`). This trait's implementation of this method will register the text (passed to the contructor of `FreeSpecStringWrapper` and immediately invoke the passed function.

5. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

6. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def ignore (f: ⇒ Unit): Unit

    Supports ignored test registration.

    Supports ignored test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" ignore { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `FreeSpec`.

15. #### def in (f: ⇒ Unit): Unit

    Supports test registration.

    Supports test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" in { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `FreeSpec`.

16. #### def is (f: ⇒ PendingNothing): Unit

    Supports pending test registration.

    Supports pending test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" is (pending)
                           ^

    For more information and examples of this method's use, see the main documentation for trait `FreeSpec`.

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def taggedAs (firstTestTag: Tag, otherTestTags: Tag*): ResultOfTaggedAsInvocationOnString

    Supports tagged test registration.

    Supports tagged test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" taggedAs(SlowTest) in { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `FreeSpec`.

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any